Subject: bug#31728: [PATCH] dmalloc: mark macro as obsolete

From: Karl Berry <[email-masked]>
Date: Tue, 18 Jan 2022 16:15:06 -0700

To me, the question is, does the current AM_WITH_DMALLOC actually work?
Or not?  If it does, I see no reason to have it issue a warning, and
thus annoy anyone who has it in their configure.ac, where it is
presumably residing harmlessly.

I agree it does not "fit with Automake's mission", and wouldn't want to
add any similar macros, but to me that's not enough reason to
"deprecate" something that's been part of Automake for so long.

I feel strongly that the macro should never be deleted, useless though
it may be(come). -k